Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to configure my Cisco ASA 5510 series firewall with the Java-based ASDM tool (version 6.1), but the tool crashes while connecting. I enter my credentials and it accepts them, downloads some kind of "update" from the firewall, and then hangs. Clicking the java icon button in the corner of the window brings up a status log window that ends with a stack trace; it seems to have encountered a runtime error converting something to a number. Am I missing something? Is this normal?

share|improve this question

4 Answers 4

The easiest way to go about this is to download the latest ASDM from the cisco site and connect using that.

As far as I know, you can download the JAR from the ASA and run it manually (preferably with logging output), but I don't remember on top of my head where to find it on the asa.

I'm afraid it is not uncommon with ASDM :(

share|improve this answer
    
Looks like an ASDM upgrade will indeed do it. networking-forum.com/viewtopic.php?p=56902 –  Mr. Jefferson Mar 16 '11 at 19:50
up vote 1 down vote accepted

More creative use of Google revealed the solution.

Apparently there is a bug in the ASDM where it will crash if the router has been running for more than a year; it tries to parse the uptime string and fails. I guess Cisco Java programmers didn't think that far ahead. So the short term solution is to reboot the firewall. Long term solution is to get a new version of ASDM.

share|improve this answer

Do you have access to the ASA by CLI?

If so, could you run a show version. Make sure the Device Manager version is supported by the IOS and that your ASDM is also supporting that version.

share|improve this answer

I encountered this after a Java update. Rolling back the Java update worked for me. Definitely upgrade your ASDM if you can, however.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.